From 1a11c84e1dd0104e1cc9dc44eaaa737982165f4c Mon Sep 17 00:00:00 2001
From: Starbeamrainbowlabs <sbrl@starbeamrainbowlabs.com>
Date: Sun, 30 Sep 2018 14:16:56 +0100
Subject: [PATCH] Update changelog

---
 Changelog.md    |  4 ++--
 build/index.php | 12 ++++++------
 version         |  2 +-
 3 files changed, 9 insertions(+), 9 deletions(-)

diff --git a/Changelog.md b/Changelog.md
index bea135f..f44bdf8 100644
--- a/Changelog.md
+++ b/Changelog.md
@@ -1,7 +1,7 @@
 # Changelog
 This file holds the changelog for Pepperminty Wiki. This is the master list of things that have changed (second only to the commit history!) - though the information for any particular release can also be found in the description of it's page for every release made on GitHub too.
 
-## v0.17-dev
+## v0.17-beta1
 
 ### Added
  - [Module API] Added `save_settings()` convenience method
@@ -37,7 +37,7 @@ This file holds the changelog for Pepperminty Wiki. This is the master list of t
  - Semicolons are no longer automatically included in greedy internal links.
  - Pressing enter in the tag box now correctly previews instead of performing a smart restore
 
-## Changed
+### Changed
  - Password hashing has been overhauled! A totally new-and-different system is being used now, so you'll need to rehash all your passwords.
      - The `hash` action supports the new password hashing scheme.
      - Added `password_cost`, `password_cost_time`, and `password_cost_time_interval` settings
diff --git a/build/index.php b/build/index.php
index 51b3b07..e024db9 100644
--- a/build/index.php
+++ b/build/index.php
@@ -406,8 +406,8 @@ if($settings->sessionprefix == "auto")
 ////// Do not edit below this line unless you know what you are doing! //////
 /////////////////////////////////////////////////////////////////////////////
 /** The version of Pepperminty Wiki currently running. */
-$version = "v0.17-dev";
-$commit = "c7d7de3d7e2adda1a41ae3484ac2d899b1221d44";
+$version = "v0.17-beta1";
+$commit = "a45a3aa087752b4f26af0a02785efc8b08436ce2";
 /// Environment ///
 /** Holds information about the current request environment. */
 $env = new stdClass();
@@ -1446,7 +1446,7 @@ class page_renderer
 		<meta charset='utf-8' />
 		<title>{title}</title>
 		<meta name='viewport' content='width=device-width, initial-scale=1' />
-		<meta name='generator' content='Pepperminty Wiki v0.17-dev' />
+		<meta name='generator' content='Pepperminty Wiki v0.17-beta1' />
 		<link rel='shortcut-icon' href='{favicon-url}' />
 		<link rel='icon' href='{favicon-url}' />
 		{header-html}
@@ -1470,7 +1470,7 @@ class page_renderer
 		{extra}
 		<footer>
 			<p>{footer-message}</p>
-			<p>Powered by Pepperminty Wiki v0.17-dev, which was built by <a href='//starbeamrainbowlabs.com/'>Starbeamrainbowlabs</a>. Send bugs to 'bugs at starbeamrainbowlabs dot com' or <a href='//github.com/sbrl/Pepperminty-Wiki' title='Github Issue Tracker'>open an issue</a>.</p>
+			<p>Powered by Pepperminty Wiki v0.17-beta1, which was built by <a href='//starbeamrainbowlabs.com/'>Starbeamrainbowlabs</a>. Send bugs to 'bugs at starbeamrainbowlabs dot com' or <a href='//github.com/sbrl/Pepperminty-Wiki' title='Github Issue Tracker'>open an issue</a>.</p>
 			<p>Your local friendly moderators are {admins-name-list}.</p>
 			<p>This wiki is managed by <a href='mailto:{admin-details-email}'>{admin-details-name}</a>.</p>
 		</footer>
@@ -1488,7 +1488,7 @@ class page_renderer
 			<p><em>From {sitename}, which is managed by {admin-details-name}.</em></p>
 			<p>{footer-message}</p>
 			<p><em>Timed at {generation-date}</em></p>
-			<p><em>Powered by Pepperminty Wiki v0.17-dev.</em></p>
+			<p><em>Powered by Pepperminty Wiki v0.17-beta1.</em></p>
 		</footer>";
 	
 	/**
@@ -1577,7 +1577,7 @@ class page_renderer
 			"{body}" => $body_template,
 
 			"{sitename}" => $logo_html,
-			"v0.17-dev" => $version,
+			"v0.17-beta1" => $version,
 			"{favicon-url}" => $settings->favicon,
 			"{header-html}" => self::get_header_html(),
 
diff --git a/version b/version
index 1365ed9..32971af 100644
--- a/version
+++ b/version
@@ -1 +1 @@
-v0.17-dev
+v0.17-beta1
